# Class PRS_Transaction
extends PRS_ExchangeElement

PRS_Transaction represents a single transaction of the Service Incident workflow. A PRS_Transaction instance is created by the PRS_SISService StartSISTransaction method.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Transaction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PRS_Transaction represents a single transaction of the Service Incident workflow. A PRS_Transaction instance is created by the PRS_SISService StartSISTransaction method.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CompletionStatus | uint32 |

Description

string

The status of the transaction after it has reached the 'Closed' state. A CompletionStatus of zero (0) means the tranasaction completed successfully. A non-zero CompletionStatus indicates the transaction did not complete successfully. Non-zero values are implementation-specific. While the transaction is 'Open' or 'Working' the CompletionStatus property shall be zero (0). See the description for PRS_SISService for the definition of the contents of this property.

TransactionState | uint8 |
Description | string | The current state of this transaction. This value is manipulated by the PRS_SISService:StartSISTransaction and SetSISCompletionStatus method implementations. This property is not intended to be written by management applications.
ValueMap | string | 0, 1, 2, 3
Values | string | Open, Working, Closed, Notification_Pending
TransactionType | uint8 |
Description | string | The specific SIS transaction represented by this PRS_Transaction instance.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 254, 255
Values | string | Service_Request, Entitlement, Problem_Submittal, Accept_Problem, Problem_Resolution, Request_Problem_Information, Provide_Problem_Information, Provide_Admin_Information, Query_Incident, Confirm_Close, Reject_Resolution, Request_Closure, Other, Unknown

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods